summaryrefslogtreecommitdiffstats
path: root/.local/bin
diff options
context:
space:
mode:
authorDennis Lee <dennis@dennislee.xyz>2020-04-07 21:47:39 -0700
committerDennis Lee <dennis@dennislee.xyz>2020-04-07 22:03:31 -0700
commitfb456c4d98ac44497294617411c1100943d14a40 (patch)
tree088eef9c00184025d05bcfcd38479765c1e91505 /.local/bin
parent833ea05b3fc9d0c648eda40a4f84a430a12d15ad (diff)
downloadeibhear-fb456c4d98ac44497294617411c1100943d14a40.tar.gz
eibhear-fb456c4d98ac44497294617411c1100943d14a40.tar.zst
eibhear-fb456c4d98ac44497294617411c1100943d14a40.zip
statusbar weather HOME/.local/share:=XDG_DATA_HOME
Diffstat (limited to '.local/bin')
-rwxr-xr-x.local/bin/statusbar/weather10
1 files changed, 5 insertions, 5 deletions
diff --git a/.local/bin/statusbar/weather b/.local/bin/statusbar/weather
index 0a501e3..63415b4 100755
--- a/.local/bin/statusbar/weather
+++ b/.local/bin/statusbar/weather
@@ -7,18 +7,18 @@
# You could set up a shell alias to view the full file in a pager in the
# terminal if desired. This function will only be run once a day when needed.
getforecast() { ping -q -c 1 1.1.1.1 >/dev/null &&
-curl -sf "wttr.in/$LOCATION" > "$HOME/.local/share/weatherreport" || exit 1 ;}
+curl -sf "wttr.in/$LOCATION" > "$XDG_DATA_HOME/weatherreport" || exit 1 ;}
# Some very particular and terse stream manipulation. We get the maximum
# precipication chance and the daily high and low from the downloaded file and
# display them with coresponding emojis.
-showweather() { printf "%s" "$(sed '16q;d' "$HOME/.local/share/weatherreport" |
+showweather() { printf "%s" "$(sed '16q;d' "$XDG_DATA_HOME/weatherreport" |
grep -wo "[0-9]*%" | sort -rn | sed "s/^/☔ /g;1q" | tr -d '\n')"
-sed '13q;d' "$HOME/.local/share/weatherreport" | grep -o "m\\([-+]\\)*[0-9]\\+" | sort -n -t 'm' -k 2n | sed -e 1b -e '$!d' | tr '\n|m' ' ' | awk '{print " ❄️",$1 "°","🌞",$2 "°"}' ;}
+sed '13q;d' "$XDG_DATA_HOME/weatherreport" | grep -o "m\\([-+]\\)*[0-9]\\+" | sort -n -t 'm' -k 2n | sed -e 1b -e '$!d' | tr '\n|m' ' ' | awk '{print " ❄️",$1 "°","🌞",$2 "°"}' ;}
# The BLOCK_BUTTON bloat for clicking in i3.
case $BLOCK_BUTTON in
- 1) $TERMINAL -e less -Srf "$HOME/.local/share/weatherreport" ;;
+ 1) $TERMINAL -e less -Srf "$XDG_DATA_HOME/weatherreport" ;;
2) getforecast && showweather ;;
3) pgrep -x dunst >/dev/null && notify-send "🌈 Weather module" "\- Left click for full forecast.
- Middle click to update forecast.
@@ -29,7 +29,7 @@ esac
# The test if our forcecast is updated to the day. If it isn't download a new
# weather report from wttr.in with the above function.
-[ "$(stat -c %y "$HOME/.local/share/weatherreport" 2>/dev/null | cut -d' ' -f1)" = "$(date '+%Y-%m-%d')" ] ||
+[ "$(stat -c %y "$XDG_DATA_HOME/weatherreport" 2>/dev/null | cut -d' ' -f1)" = "$(date '+%Y-%m-%d')" ] ||
getforecast
showweather